%define ver_major 0.4
%define _unpackaged_files_terminate_build 1

Name: revelation
Version: %ver_major.11
Release: alt2

Summary: Keyring management program for the GNOME Desktop
License: GPL
Group: Graphical desktop/GNOME
Url: http://oss.codepoet.no/%name

Source: ftp://oss.codepoet.no/%name/%name-%version.tar.bz2

%define GConf_ver 2.10.0

PreReq: GConf2 >= %GConf_ver
Requires(post,postun): shared-mime-info desktop-file-utils

BuildPreReq: shared-mime-info desktop-file-utils

BuildPreReq: rpm-build-python
BuildPreReq: python-devel = %__python_version

# From acinclude.m4
BuildPreReq: cracklib-devel cracklib-utils
BuildPreReq: GConf libGConf-devel
BuildPreReq: intltool >= 0.35.0
BuildPreReq: python-module-pygtk-devel >= 2.8.0
BuildPreReq: python-module-pygnome-devel >= 2.10.0
BuildPreReq: python-module-pygnome-extras-devel >= 2.10.0

# And more from configure.ac
BuildPreReq: %py_dependencies Crypto bonobo gconf gtk gnome gnomeapplet gnomevfs gobject pango

%description
This a keyring management program for the GNOME Desktop

%prep
%setup -q

%build
#export PATH=%_sbindir:$PATH
%configure \
		--disable-scrollkeeper --disable-schemas-install \
		--disable-desktop-update \
		--disable-mime-update

%make_build

%install
%make_install DESTDIR=%buildroot install

#__subst 's,%buildroot,,' %buildroot%python_sitelibdir/%name/config.py

%find_lang --with-gnome %name

%post
%gconf2_install %name %name-applet
%update_mimedb
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name %name-applet
fi

%postun
%clean_mimedb
%clean_desktopdb

%files -f %name.lang
%_bindir/%name
%dir %python_sitelibdir/%name
%python_sitelibdir/%name/crack.so
%python_sitelibdir/%name/*.py
%python_sitelibdir/%name/*.pyc
%python_sitelibdir/%name/*.pyo
%python_sitelibdir/%name/*/*.py
%python_sitelibdir/%name/*/*.pyc
%python_sitelibdir/%name/*/*.pyo
%_libdir/bonobo/servers/GNOME_RevelationApplet.server
%_libexecdir/%name-applet
%_desktopdir/%name.desktop
%_datadir/mime/packages/revelation.xml
%_datadir/%name
%_iconsdir/hicolor/*x*/apps/%name.png
%_iconsdir/hicolor/*x*/apps/%name-locked.png
%_iconsdir/hicolor/*x*/mimetypes/gnome-mime-application-x-%name.png
%config %_sysconfdir/gconf/schemas/%name.schemas
%config %_sysconfdir/gconf/schemas/%name-applet.schemas

%changelog
* Mon Mar 19 2007 Alexey Rusakov <ktirf@altlinux.org> 0.4.11-alt2
- fixed building on x86_64

* Sun Mar 18 2007 Alexey Rusakov <ktirf@altlinux.org> 0.4.11-alt1
- new version, taken the package from orphaned.
- spec cleanup
- updated buildreqs
- removed Debian menu support
- _unpackaged_files_terminate_build from now on.

* Fri Apr 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- First build for Sisyphus.
